set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_050000 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2013.01.01'
,p_release=>'5.0.1.00.06'
,p_default_workspace_id=>1810309704552073
,p_default_application_id=>100
,p_default_owner=>'PS_APEX'
);
end;
/
prompt --application/set_environment
 
prompt APPLICATION 100 - PowerSchool Enterprise Reporting
--
-- Application Export:
--   Application:     100
--   Name:            PowerSchool Enterprise Reporting
--   Date and Time:   17:38 Monday October 3, 2016
--   Exported By:     RSPRIK
--   Flashback:       0
--   Export Type:     Page Export
--   Version:         5.0.1.00.06
--   Instance ID:     108830067967553
--

prompt --application/pages/delete_00604
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>604);
end;
/
prompt --application/pages/page_00604
begin
wwv_flow_api.create_page(
 p_id=>604
,p_user_interface_id=>wwv_flow_api.id(8362380160933122)
,p_name=>'Student Schedules'
,p_page_mode=>'NORMAL'
,p_step_title=>'Student Schedules'
,p_step_sub_title=>'Student Schedules'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_first_item=>'NO_FIRST_ITEM'
,p_javascript_code=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'$(''#set_ps_current_selection'').click(function(){ ',
'       if ($(''#dropdown'').length == 0) {',
'           $(this).after(function() {',
'            return ''<div id="dropdown" class="dropdown" width=buttonWidth ><ul class="dropdown-menu"><li id="set" onclick="setSelection(this.id);">Set Selection</li><li id="add" onclick="setSelection(this.id);">Add to Selection</li></ul></div>'';',
'                          });',
'       }',
'       else {',
'         $(''#dropdown'').remove();',
'       }',
'    });',
'',
'function setSelection(mode){    ',
'     ',
'     var getIdRequest = new htmldb_Get(null,$x(''pFlowId'').value,''APPLICATION_PROCESS=getId'',0);',
'         getIdRequest.addParam(''x01'',$x(''pFlowId'').value);  ',
'         getIdRequest.addParam(''x02'',$x(''pFlowStepId'').value);  ',
'     var ids  = getIdRequest.get();',
'     var getURLRequest = new htmldb_Get(null,$x(''pFlowId'').value,''APPLICATION_PROCESS=getPSURL'',0);',
'     var psURL  = getURLRequest.get();',
'     $.ajax({ ',
'          url: psURL + "/ws/selectionservice/currentselection/student",',
'          xhrFields: {withCredentials: true},',
'          type: "POST",',
'          dataType: "json",',
'          contentType: "application/json",',
'          data: ''{"mode": "'' + mode + ''","ids":"['' + ids + '']","page":1,"pageSize":20}'',',
'          async: true,',
'          success: function(data){',
'              var lSuccessMsg = ''Current Selection now set in PowerSchool'';',
'              var successHTML = getDisplayContent(lSuccessMsg);',
'              // Display Success Message',
'              $(''#t_Body_content'').after(successHTML);',
'              $(''#customSuccessMessage'').delay(3000).fadeOut();',
'          },',
'          error : function(jqXHR, textStatus, errorThrown){',
'              var lFailureMsg = ''<ul><li>Error encountered while performing Current Selection.</ul></li><ul><li>'' + jqXHR.status + '' : '' + errorThrown + ''</ul></li>'';',
'              var failureHTML = getDisplayContentError(lFailureMsg);',
'              // Display Success Message',
'              $(''#t_Body_content'').after(failureHTML);',
'              $(''#customSuccessMessage'').delay(3000).fadeOut();',
'          }',
'      });',
'     $(''#dropdown'').remove();',
'}',
'',
'function getDisplayContent(lMsg) {',
'    var successHTML;',
' ',
'    successHTML = ''<div class="t-Body-alert" id="customSuccessMessage">'';',
'    successHTML += '' <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG is-visible" id="t_Alert_Success" role="alert">'';',
'    successHTML += '' <div class="t-Alert-wrap">'';',
'    successHTML += '' <div class="t-Alert-icon">'';',
'    successHTML += '' <span class="t-Icon"></span>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' <div class="t-Alert-content">'';',
'    successHTML += '' <div class="t-Alert-header">'';',
'    successHTML += '' <h2 class="t-Alert-title">''+lMsg+''</h2>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' <div class="t-Alert-buttons">'';',
'    successHTML += '' <a href="javascript:void(0);" onclick="$(\''#customSuccessMessage\'').remove();" class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="Close">'';',
'    successHTML += '' <span class="t-Icon icon-close"></span>'';',
'    successHTML += '' </a>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += ''</div>'';',
'    return successHTML;',
'}',
'',
'function getDisplayContentError(lMsg) {',
'    var successHTML;',
' ',
'    successHTML = ''<div class="t-Body-alert" id="customSuccessMessage">'';',
'    successHTML += '' <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG is-visible" style="background-color:red"; id="t_Alert_Success" role="alert">'';',
'    successHTML += '' <div class="t-Alert-wrap">'';',
'    successHTML += '' <div class="t-Alert-icon">'';',
'    successHTML += '' <span class="t-Icon"></span>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' <div class="t-Alert-content">'';',
'    successHTML += '' <div class="t-Alert-header">'';',
'    successHTML += '' <h2 class="t-Alert-title">''+lMsg+''</h2>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' <div class="t-Alert-buttons">'';',
'    successHTML += '' <a href="javascript:void(0);" onclick="$(\''#customSuccessMessage\'').remove();" class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="Close">'';',
'    successHTML += '' <span class="t-Icon icon-close"></span>'';',
'    successHTML += '' </a>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += '' </div>'';',
'    successHTML += ''</div>'';',
'    return successHTML;',
'}',
''))
,p_inline_css=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'.dropdown .dropdown-menu { ',
'    margin: 0;',
'    list-style: none; /** Remove list bullets */',
'    width:175px;',
'    box-shadow: 0 0 0 1px rgba(0,0,0,.125) inset;',
'    padding: .5rem;',
'    border-radius: 2px;',
'    font-size: 1.2rem;',
'    background: white;',
'    text-align: left;',
'}',
'',
'.dropdown li {',
'    margin: 0;',
'    padding: 0;',
'    color: #393939;',
'}',
'',
'.dropdown li:hover {',
'   background: #2577cf;  ',
'   //color: #ffffff;',
'   cursor: pointer; cursor: hand;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_overwrite_navigation_list=>'Y'
,p_page_is_public_y_n=>'N'
,p_cache_mode=>'NOCACHE'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'RSPRIK'
,p_last_upd_yyyymmddhh24miss=>'20161003163805'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(2220532674208850)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(8339662061932961)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'N'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(8363670093933182)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(8357644496933069)
,p_plug_query_row_template=>1
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(2221051718208859)
,p_plug_name=>'Student Schedules'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(8335865216932952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'N'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'SELECT',
's.id as ID,',
's.lastfirst as LASTFIRST,',
's.grade_level as GRADE_LEVEL,',
'sec.expression as EXPRESSION,',
'crs.Course_Name as COURSE,',
'CASE WHEN CC.DateEnrolled <= trunc(sysdate) AND CC.DateLeft > trunc(sysdate) THEN ''Yes'' ELSE ''No'' END as IN_SESSION,',
'sec.Room as ROOM,',
'sm.period_number as PERIOD,',
'sm.cycle_day_letter as DAY,',
'round(sec.termid/100) as YEAR,',
'Schools.Abbreviation as SCHOOL,',
's.enroll_status as ENROLL_STATUS,',
't.lastfirst as TEACHER,',
'sec.Termid as TERMID,',
'Terms.Abbreviation as TERM,',
'CC.DateEnrolled as DATE_ENROLLED,',
'CC.DateLeft as DATE_LEFT',
'',
'FROM',
'Students s INNER JOIN',
'CC ON s.id = cc.studentid INNER JOIN',
'Sections sec ON cc.sectionid = sec.id INNER JOIN',
'Section_Meeting sm ON sec.id = sm.sectionid INNER JOIN',
'Schools ON sec.schoolid = Schools.school_number INNER JOIN',
'Courses crs ON UPPER(sec.course_number) = UPPER(crs.course_number) INNER JOIN',
'Teachers t ON sec.Teacher = t.id INNER JOIN',
'Terms ON sec.termid = Terms.ID AND sec.schoolid = Terms.SchoolID',
'',
'ORDER BY',
's.lastfirst,',
'sec.termid,',
'sec.expression'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_row_template=>1
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(2221109990208860)
,p_name=>'Student Schedules'
,p_max_row_count=>'100000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_max_rows_per_page=>'1000'
,p_base_pk1=>'ID'
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'TOP_AND_BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_download_formats=>'CSV:PDF'
,p_detail_link_text=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_owner=>'RSPRIK'
,p_internal_uid=>2221109990208860
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2221524592209393)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2221881826209400)
,p_db_column_name=>'LASTFIRST'
,p_display_order=>2
,p_column_identifier=>'B'
,p_column_label=>'Lastfirst'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2222269430209401)
,p_db_column_name=>'GRADE_LEVEL'
,p_display_order=>3
,p_column_identifier=>'C'
,p_column_label=>'Grade Level'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2222659192209401)
,p_db_column_name=>'EXPRESSION'
,p_display_order=>4
,p_column_identifier=>'D'
,p_column_label=>'Expression'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2223060880209401)
,p_db_column_name=>'COURSE'
,p_display_order=>5
,p_column_identifier=>'E'
,p_column_label=>'Course'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2223433258209403)
,p_db_column_name=>'IN_SESSION'
,p_display_order=>6
,p_column_identifier=>'F'
,p_column_label=>'In Session'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2223836569209403)
,p_db_column_name=>'ROOM'
,p_display_order=>7
,p_column_identifier=>'G'
,p_column_label=>'Room'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2224247093209404)
,p_db_column_name=>'PERIOD'
,p_display_order=>8
,p_column_identifier=>'H'
,p_column_label=>'Period'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2224672524209406)
,p_db_column_name=>'DAY'
,p_display_order=>9
,p_column_identifier=>'I'
,p_column_label=>'Day'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2225003999209407)
,p_db_column_name=>'YEAR'
,p_display_order=>10
,p_column_identifier=>'J'
,p_column_label=>'Year'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2225482048209407)
,p_db_column_name=>'SCHOOL'
,p_display_order=>11
,p_column_identifier=>'K'
,p_column_label=>'School'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2225870320209407)
,p_db_column_name=>'ENROLL_STATUS'
,p_display_order=>12
,p_column_identifier=>'L'
,p_column_label=>'Enroll Status'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2226284530209409)
,p_db_column_name=>'TEACHER'
,p_display_order=>13
,p_column_identifier=>'M'
,p_column_label=>'Teacher'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2226679644209409)
,p_db_column_name=>'TERMID'
,p_display_order=>14
,p_column_identifier=>'N'
,p_column_label=>'Termid'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2227086194209410)
,p_db_column_name=>'TERM'
,p_display_order=>15
,p_column_identifier=>'O'
,p_column_label=>'Term'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2227444205209410)
,p_db_column_name=>'DATE_ENROLLED'
,p_display_order=>16
,p_column_identifier=>'P'
,p_column_label=>'Date Enrolled'
,p_column_type=>'DATE'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(2227833408209410)
,p_db_column_name=>'DATE_LEFT'
,p_display_order=>17
,p_column_identifier=>'Q'
,p_column_label=>'Date Left'
,p_column_type=>'DATE'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(2230282195377215)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'22303'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_display_rows=>50
,p_report_columns=>'ID:LASTFIRST:GRADE_LEVEL:EXPRESSION:COURSE:IN_SESSION:ROOM:PERIOD:DAY:YEAR:SCHOOL:ENROLL_STATUS:TEACHER:TERMID:TERM:DATE_ENROLLED:DATE_LEFT'
,p_flashback_enabled=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(2122210999925512)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(2220532674208850)
,p_button_name=>'SET_PS_CURRENT_SELECTION'
,p_button_static_id=>'set_ps_current_selection'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(8357184085933067)
,p_button_image_alt=>'Set Current Selection'
,p_button_position=>'BELOW_BOX'
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
